For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Platform docsVideosCommunitySign up
CapabilitiesGetting startedVoice AI OrchestrationVoxEngine PlatformAPI ReferenceFAQ
CapabilitiesGetting startedVoice AI OrchestrationVoxEngine PlatformAPI ReferenceFAQ
  • Management API
    • Reference
        • POSTAddScenario
        • POSTDelScenario
        • POSTBindScenario
        • POSTGetScenarios
        • POSTSetScenarioInfo
        • POSTReorderScenarios
        • POSTStartScenarios
        • POSTStartConference
    • Authorization
    • Errors
  • Web SDK
    • Overview
  • Android SDK
    • Overview
  • Android SDK v3
    • Overview
  • iOS SDK
    • Overview
  • React Native SDK
    • Overview
  • Flutter SDK
    • Overview
LogoLogo
Platform docsVideosCommunitySign up
Management APIReferenceScenarios

SetScenarioInfo

||View as Markdown|
POST
https://api.voximplant.com/platform_api/SetScenarioInfo
POST
/platform_api/SetScenarioInfo
$curl -X POST "https://api.voximplant.com/platform_api/SetScenarioInfo?scenario_id=12345&scenario_name=CustomerSupportFlow&scenario_script=var%20s" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
200Success
1{
2 "result": 1
3}

Edits the scenario. You can edit the scenario’s name and body. Please use the POST method.

Allowed roles: Owner, Admin, Developer.

Example request: Add a new scenario: var s=‘hello’;

Was this page helpful?
Previous

GetScenarios

Next

ReorderScenarios

Built with

Authentication

AuthorizationBearer

Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the Authorization header as a Bearer value:

Authorization: Bearer $VOXIMPLANT_TOKEN

See Authorization for ready-to-copy snippets in bash, Python, Node.js and Go that turn your credentials.json into a token.

Query parameters

scenario_idintegerOptional

Scenario ID. Required unless required_scenario_name is provided.

required_scenario_namestringOptional

Name of the scenario to edit. Required unless scenario_id is provided.

scenario_namestringOptional
New scenario name. The length must be less than 30
scenario_scriptstringOptional

New scenario text. Use the application/x-www-form-urlencoded content type with UTF-8 encoding. The length must be less than 128 KB

Response

Successful response
resultinteger
Returns 1 if the request has been completed successfully